Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515177 - [abrt] rhythmbox: do_store_request(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: do_store_request(): rhythmbox killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:79608741fc3e80b61366fe73cf6...
: 1477888 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 10:35 UTC by Yajo
Modified: 2018-11-30 20:28 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:28:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-20 10:35 UTC, Yajo
no flags Details
File: cgroup (deleted)
2017-11-20 10:35 UTC, Yajo
no flags Details
File: core_backtrace (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: cpuinfo (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: dso_list (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: environ (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: exploitable (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: limits (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: maps (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: mountinfo (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: open_fds (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details
File: proc_pid_status (deleted)
2017-11-20 10:36 UTC, Yajo
no flags Details

Description Yajo 2017-11-20 10:35:46 UTC
Description of problem:
Just playing music, it dies randomly.

Version-Release number of selected component:
rhythmbox-3.4.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: do_store_request
executable:     /usr/bin/rhythmbox
journald_cursor: s=bd931293b97e4f9ba664c77b6c6e9928;i=e241;b=0bd4dad4da9a4db485c16c7ee96206ff;m=11b75a3b7;t=55e66a609ea0e;x=e45aea187e281a2
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 do_store_request at rb-ext-db.c:957
 #1 run_in_thread at gsimpleasyncresult.c:898
 #2 io_job_thread at gioscheduler.c:85
 #3 g_task_thread_pool_thread at gtask.c:1328
 #5 g_thread_proxy at gthread.c:784

Potential duplicate: bug 1392771

Comment 1 Yajo 2017-11-20 10:35:57 UTC
Created attachment 1355635 [details]
File: backtrace

Comment 2 Yajo 2017-11-20 10:35:58 UTC
Created attachment 1355636 [details]
File: cgroup

Comment 3 Yajo 2017-11-20 10:36:01 UTC
Created attachment 1355637 [details]
File: core_backtrace

Comment 4 Yajo 2017-11-20 10:36:03 UTC
Created attachment 1355638 [details]
File: cpuinfo

Comment 5 Yajo 2017-11-20 10:36:06 UTC
Created attachment 1355639 [details]
File: dso_list

Comment 6 Yajo 2017-11-20 10:36:07 UTC
Created attachment 1355640 [details]
File: environ

Comment 7 Yajo 2017-11-20 10:36:09 UTC
Created attachment 1355641 [details]
File: exploitable

Comment 8 Yajo 2017-11-20 10:36:11 UTC
Created attachment 1355642 [details]
File: limits

Comment 9 Yajo 2017-11-20 10:36:14 UTC
Created attachment 1355643 [details]
File: maps

Comment 10 Yajo 2017-11-20 10:36:17 UTC
Created attachment 1355644 [details]
File: mountinfo

Comment 11 Yajo 2017-11-20 10:36:20 UTC
Created attachment 1355645 [details]
File: open_fds

Comment 12 Yajo 2017-11-20 10:36:23 UTC
Created attachment 1355646 [details]
File: proc_pid_status

Comment 13 gkrithi8 2017-11-27 08:14:54 UTC
Tracked in upstream rhythmbox:

https://bugzilla.gnome.org/show_bug.cgi?id=727670

Comment 14 Yajo 2017-11-28 14:45:25 UTC
It says fixed there

Comment 15 gkrithi8 2017-11-28 14:56:16 UTC
yes, fixed couple of days ago

Comment 16 Yajo 2017-12-14 09:18:49 UTC
*** Bug 1477888 has been marked as a duplicate of this bug. ***

Comment 17 Yajo 2018-01-29 11:46:12 UTC
Similar problem has been detected:

Just randomly playing music, it crashes every now and then.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: do_store_request
executable:     /usr/bin/rhythmbox
journald_cursor: s=9f51afbb85c94cacb011a0ede10ecef6;i=28bcb;b=9051cd4241f8478689709060ec0eb045;m=4846a282a;t=563e83e8155bc;x=d88726b211326ad9
kernel:         4.14.13-300.fc27.x86_64
package:        rhythmbox-3.4.2-1.fc27
reason:         rhythmbox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Yajo 2018-02-04 14:54:57 UTC
Similar problem has been detected:

Just playing music

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: do_store_request
executable:     /usr/bin/rhythmbox
journald_cursor: s=0b54d01e50ee462aacb7abeae036bd48;i=5035;b=562e3cffd8a24043806459fb5aaecc0a;m=2adc126ca;t=56438a983f5df;x=d54af87ac4b78c10
kernel:         4.14.14-300.fc27.x86_64
package:        rhythmbox-3.4.2-1.fc27
reason:         rhythmbox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Yajo 2018-02-08 08:59:25 UTC
This keeps happening every day... Is the upstream patch going to land in Fedora?

Thanks!

Comment 20 Yajo 2018-03-18 14:45:01 UTC
Similar problem has been detected:

Just playing music, like always.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        rhythmbox
crash_function: do_store_request
executable:     /usr/bin/rhythmbox
journald_cursor: s=d2f6b33957114c48a356d5719b917141;i=125ac;b=d07cc99969054c2a8a3c8a5ea95c03cd;m=171ae26221;t=56787a22c4254;x=ce2c0b80ca52561c
kernel:         4.15.6-300.fc27.x86_64
package:        rhythmbox-3.4.2-1.fc27
reason:         rhythmbox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Ben Cotton 2018-11-27 16:35:37 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2018-11-30 20:28:27 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.